Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 23-07-2012 02:30:46

Switch
Membre
(G)UI : XFCE !
Inscription : 17-06-2012
Site Web

[Résolu] Installer Apache et PHP

Bonjour, je voudrais installer Apache  (pour dokuwiki).
les paquets installés sont'ils les bons ?
merci d'avance.

Sur une netinstallation neuve:

switch@PB:~$ ssh wiki@wiki
wiki@wiki's password:
Linux wiki 2.6.32-5-686 #1 SMP Sun May 6 04:01:19 UTC 2012 i686

The programs included with the Debian GNU/Linux system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
Last login: Mon Jul 23 01:47:30 2012 from pb.local
wiki@wiki:~$ su
Mot de passe :
root@wiki:/home/wiki# dpkg -l | grep apache
root@wiki:/home/wiki#

root@wiki:/home/wiki# aptitude install apache2
Les NOUVEAUX paquets suivants vont être installés :
  apache2 apache2-mpm-worker{a} apache2-utils{a} apache2.2-bin{a} apache2.2-common{a} libapr1{a} libaprutil1{a} libaprutil1-dbd-sqlite3{a} libaprutil1-ldap{a} ssl-cert{a}
0 paquets mis à jour, 10 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 2 071 ko d'archives. Après dépaquetage, 6 963 ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] y
Prendre : 1 http://ftp.fr.debian.org/debian/ squeeze/main libapr1 i386 1.4.2-6+squeeze4 [86,3 kB]
Prendre : 2 http://ftp.fr.debian.org/debian/ squeeze/main libaprutil1 i386 1.3.9+dfsg-5 [87,0 kB]
Prendre : 3 http://ftp.fr.debian.org/debian/ squeeze/main libaprutil1-dbd-sqlite3 i386 1.3.9+dfsg-5 [27,2 kB]
Prendre : 4 http://ftp.fr.debian.org/debian/ squeeze/main libaprutil1-ldap i386 1.3.9+dfsg-5 [25,3 kB]
Prendre : 5 http://ftp.fr.debian.org/debian/ squeeze/main apache2.2-bin i386 2.2.16-6+squeeze7 [1 353 kB]
Prendre : 6 http://ftp.fr.debian.org/debian/ squeeze/main apache2-utils i386 2.2.16-6+squeeze7 [165 kB]
Prendre : 7 http://ftp.fr.debian.org/debian/ squeeze/main apache2.2-common i386 2.2.16-6+squeeze7 [308 kB]
Prendre : 8 http://ftp.fr.debian.org/debian/ squeeze/main apache2-mpm-worker i386 2.2.16-6+squeeze7 [2 224 B]
Prendre : 9 http://ftp.fr.debian.org/debian/ squeeze/main apache2 i386 2.2.16-6+squeeze7 [1 384 B]
Prendre : 10 http://ftp.fr.debian.org/debian/ squeeze/main ssl-cert all 1.0.28 [14,8 kB]
2 071 ko téléchargés en 0s (10,2 Mo/s)
Préconfiguration des paquets...
Sélection du paquet libapr1 précédemment désélectionné.
(Lecture de la base de données... 36553 fichiers et répertoires déjà installés.)
Dépaquetage de libapr1 (à partir de .../libapr1_1.4.2-6+squeeze4_i386.deb) ...
Sélection du paquet libaprutil1 précédemment désélectionné.
Dépaquetage de libaprutil1 (à partir de .../libaprutil1_1.3.9+dfsg-5_i386.deb) ...
Sélection du paquet libaprutil1-dbd-sqlite3 précédemment désélectionné.
Dépaquetage de libaprutil1-dbd-sqlite3 (à partir de .../libaprutil1-dbd-sqlite3_1.3.9+dfsg-5_i386.deb) ...
Sélection du paquet libaprutil1-ldap précédemment désélectionné.
Dépaquetage de libaprutil1-ldap (à partir de .../libaprutil1-ldap_1.3.9+dfsg-5_i386.deb) ...
Sélection du paquet apache2.2-bin précédemment désélectionné.
Dépaquetage de apache2.2-bin (à partir de .../apache2.2-bin_2.2.16-6+squeeze7_i386.deb) ...
Sélection du paquet apache2-utils précédemment désélectionné.
Dépaquetage de apache2-utils (à partir de .../apache2-utils_2.2.16-6+squeeze7_i386.deb) ...
Sélection du paquet apache2.2-common précédemment désélectionné.
Dépaquetage de apache2.2-common (à partir de .../apache2.2-common_2.2.16-6+squeeze7_i386.deb) ...
Sélection du paquet apache2-mpm-worker précédemment désélectionné.
Dépaquetage de apache2-mpm-worker (à partir de .../apache2-mpm-worker_2.2.16-6+squeeze7_i386.deb) ...
Sélection du paquet apache2 précédemment désélectionné.
Dépaquetage de apache2 (à partir de .../apache2_2.2.16-6+squeeze7_i386.deb) ...
Sélection du paquet ssl-cert précédemment désélectionné.
Dépaquetage de ssl-cert (à partir de .../ssl-cert_1.0.28_all.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de libapr1 (1.4.2-6+squeeze4) ...
Paramétrage de libaprutil1 (1.3.9+dfsg-5) ...
Paramétrage de libaprutil1-dbd-sqlite3 (1.3.9+dfsg-5) ...
Paramétrage de libaprutil1-ldap (1.3.9+dfsg-5) ...
Paramétrage de apache2.2-bin (2.2.16-6+squeeze7) ...
Paramétrage de apache2-utils (2.2.16-6+squeeze7) ...
Paramétrage de apache2.2-common (2.2.16-6+squeeze7) ...
Enabling site default.
Enabling module alias.
Enabling module autoindex.
Enabling module dir.
Enabling module env.
Enabling module mime.
Enabling module negotiation.
Enabling module setenvif.
Enabling module status.
Enabling module auth_basic.
Enabling module deflate.
Enabling module authz_default.
Enabling module authz_user.
Enabling module authz_groupfile.
Enabling module authn_file.
Enabling module authz_host.
Enabling module reqtimeout.
Paramétrage de apache2-mpm-worker (2.2.16-6+squeeze7) ...
Starting web server: apache2.
Paramétrage de apache2 (2.2.16-6+squeeze7) ...
Paramétrage de ssl-cert (1.0.28) ...
                                             
root@wiki:/home/wiki#
# a ce moment la page acceuil fonctionne"It works ..."

root@wiki:/home/wiki# aptitude install php5 libapache2-mod-php5
Les NOUVEAUX paquets suivants vont être installés :
  apache2-mpm-prefork{ab} libapache2-mod-php5 libonig2{a} libqdbm14{a} php5 php5-cli{a} php5-common{a} php5-suhosin{a}
0 paquets mis à jour, 8 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 6 661 ko d'archives. Après dépaquetage, 17,3 Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
  apache2-mpm-prefork: Est en conflit avec: apache2-mpm qui est un paquet virtuel
  apache2-mpm-worker: Est en conflit avec: apache2-mpm qui est un paquet virtuel
Les actions suivantes permettront de résoudre ces dépendances :

     Supprimer les paquets suivants :
1)     apache2-mpm-worker           



Accepter cette solution ? [Y/n/q/?] y
Les NOUVEAUX paquets suivants vont être installés :
  apache2-mpm-prefork{a} libapache2-mod-php5 libonig2{a} libqdbm14{a} php5 php5-cli{a} php5-common{a} php5-suhosin{a}
Les paquets suivants seront ENLEVÉS :
  apache2-mpm-worker{a}
0 paquets mis à jour, 8 nouvellement installés, 1 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 6 661 ko d'archives. Après dépaquetage, 17,3 Mo seront utilisés.
Voulez-vous continuer ? [Y/n/?] y
Prendre : 1 http://ftp.fr.debian.org/debian/ squeeze/main apache2-mpm-prefork i386 2.2.16-6+squeeze7 [2 282 B]
Prendre : 2 http://ftp.fr.debian.org/debian/ squeeze/main libonig2 i386 5.9.1-1 [134 kB]
Prendre : 3 http://security.debian.org/ squeeze/updates/main php5-common i386 5.3.3-7+squeeze13 [548 kB]
Prendre : 4 http://ftp.fr.debian.org/debian/ squeeze/main libqdbm14 i386 1.8.77-4 [147 kB]
Prendre : 5 http://ftp.fr.debian.org/debian/ squeeze/main php5-suhosin i386 0.9.32.1-1 [80,8 kB]
Prendre : 6 http://security.debian.org/ squeeze/updates/main libapache2-mod-php5 i386 5.3.3-7+squeeze13 [2 890 kB]
Prendre : 7 http://security.debian.org/ squeeze/updates/main php5 all 5.3.3-7+squeeze13 [1 058 B]
Prendre : 8 http://security.debian.org/ squeeze/updates/main php5-cli i386 5.3.3-7+squeeze13 [2 859 kB]
6 661 ko téléchargés en 0s (12,3 Mo/s)
dpkg : apache2-mpm-worker : problème de dépendance, mais suppression comme demandé :
apache2 dépend de apache2-mpm-worker (= 2.2.16-6+squeeze7) | apache2-mpm-prefork (= 2.2.16-6+squeeze7) | apache2-mpm-event (= 2.2.16-6+squeeze7) | apache2-mpm-itk (= 2.2.16-6+squeeze7) ; cependant :
  Le paquet apache2-mpm-worker doit être supprimé.
  Le paquet apache2-mpm-prefork n'est pas installé.
  Le paquet apache2-mpm-event n'est pas installé.
  Le paquet apache2-mpm-itk n'est pas installé.
(Lecture de la base de données... 37145 fichiers et répertoires déjà installés.)
Suppression de apache2-mpm-worker ...
Stopping web server: apache2 ... waiting .
Sélection du paquet apache2-mpm-prefork précédemment désélectionné.
(Lecture de la base de données... 37140 fichiers et répertoires déjà installés.)
Dépaquetage de apache2-mpm-prefork (à partir de .../apache2-mpm-prefork_2.2.16-6+squeeze7_i386.deb) ...
Paramétrage de apache2-mpm-prefork (2.2.16-6+squeeze7) ...
Starting web server: apache2.
Sélection du paquet libonig2 précédemment désélectionné.
(Lecture de la base de données... 37145 fichiers et répertoires déjà installés.)
Dépaquetage de libonig2 (à partir de .../libonig2_5.9.1-1_i386.deb) ...
Sélection du paquet libqdbm14 précédemment désélectionné.
Dépaquetage de libqdbm14 (à partir de .../libqdbm14_1.8.77-4_i386.deb) ...
Sélection du paquet php5-common précédemment désélectionné.
Dépaquetage de php5-common (à partir de .../php5-common_5.3.3-7+squeeze13_i386.deb) ...
Sélection du paquet libapache2-mod-php5 précédemment désélectionné.
Dépaquetage de libapache2-mod-php5 (à partir de .../libapache2-mod-php5_5.3.3-7+squeeze13_i386.deb) ...
Sélection du paquet php5 précédemment désélectionné.
Dépaquetage de php5 (à partir de .../php5_5.3.3-7+squeeze13_all.deb) ...
Sélection du paquet php5-cli précédemment désélectionné.
Dépaquetage de php5-cli (à partir de .../php5-cli_5.3.3-7+squeeze13_i386.deb) ...
Sélection du paquet php5-suhosin précédemment désélectionné.
Dépaquetage de php5-suhosin (à partir de .../php5-suhosin_0.9.32.1-1_i386.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de libonig2 (5.9.1-1) ...
Paramétrage de libqdbm14 (1.8.77-4) ...
Paramétrage de php5-common (5.3.3-7+squeeze13) ...
Paramétrage de libapache2-mod-php5 (5.3.3-7+squeeze13) ...

Creating config file /etc/php5/apache2/php.ini with new version
Reloading web server config: apache2.
Paramétrage de php5 (5.3.3-7+squeeze13) ...
Paramétrage de php5-cli (5.3.3-7+squeeze13) ...

Creating config file /etc/php5/cli/php.ini with new version
update-alternatives: utilisation de « /usr/bin/php5 » pour fournir « /usr/bin/php » (php) en mode automatique.
Paramétrage de php5-suhosin (0.9.32.1-1) ...
                                             
root@wiki:/home/wiki#

root@wiki:/home/wiki# ls -l /var/www/index.html
-rw-r--r-- 1 root root 177 23 juil. 01:54 /var/www/index.html

je modifie la page d'acceuil avec phpinfo()  pour tester php:

root@wiki:/home/wiki# cat $_
<?php
    phpinfo();
?>

root@wiki:/home/wiki# service apache2 restart
Restarting web server: apache2 ... waiting .

la en consultat la page , rien ne s'affiche. (page blanche) hmm

Dernière modification par Switch (23-07-2012 12:16:47)

Hors ligne

#2 23-07-2012 04:21:31

MaTTuX_
La Paillasse !!!
Lieu : Zoubidou-Land
Distrib. : 75 serveurs
Noyau : 3.2.0-4-amd64
(G)UI : tty et ... pas gnome en tout cas....
Inscription : 28-05-2007
Site Web

Re : [Résolu] Installer Apache et PHP

Oui les paquets sont bon, que dit les logs ???, je t'avais répondu sur irc smile

\o/ Le closedSource c'est tabou on a viendra tous à bout \o/

Hors ligne

#3 23-07-2012 12:15:09

Switch
Membre
(G)UI : XFCE !
Inscription : 17-06-2012
Site Web

Re : [Résolu] Installer Apache et PHP

J'ai réinstallé le tout le  systeme , puis les mêmes paquets et ca a fonctionné.
Je n'ai pas compris mon erreur. sad

Hors ligne

Pied de page des forums